VST 3 SDK VST 3.7 SDK for developing VST plug-in

Namespaces | Classes | Typedefs | Functions
VST3 Namespace Reference

## Namespaces
namespace | Hosting
namespace | IO
namespace | StringConvert

## Classes
struct | Optional
struct | UID
struct | Version
struct | Vst2xProgram
| structure holding the content of a vst2 fxp format stream More...
struct | Vst2xState
| structure holding the content of a vst2 fxb format stream More...

## Typedefs
using | Vst2xChunk = std::vector< int8_t >

## Functions
| SMTG_DEPRECATED_MSG ("Use Steinberg::Vst::toTChar (...)") inline const Steinberg
template<typename NumberT >
| SMTG_DEPRECATED_MSG ("Use Steinberg::Vst::toString (...)") std
bool | operator== (const UID &uid1, const UID &uid2)
bool | operator!= (const UID &uid1, const UID &uid2)
bool | operator< (const UID &uid1, const UID &uid2)
Optional< Vst2xState > | tryVst2StateLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID={}) noexcept
| Try loading the state from an old vst2 fxb format stream. More...
bool | writeVst2State (const Vst2xState &state, Steinberg::IBStream &stream, bool writeBypassState=true) noexcept
| Write a vst2 fxb stream. More...
Optional< Vst2xProgram > | tryVst2ProgramLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID) noexcept
| Try loading the state from on old vst2 fxp format stream. More...

## Typedef Documentation

## ◆ Vst2xChunk

using Vst2xChunk = std::vector<int8_t>

## Function Documentation

## ◆ SMTG_DEPRECATED_MSG() [1/2]

VST3::SMTG_DEPRECATED_MSG | ( | "Use Steinberg::Vst::toTChar (...)" |  | ) | const

## ◆ SMTG_DEPRECATED_MSG() [2/2]

VST3::SMTG_DEPRECATED_MSG | ( | "Use Steinberg::Vst::toString (...)" |  | ) |

## ◆ operator==()

bool VST3::operator== | ( | const UID & | uid1,
|  | const UID & | uid2
| ) |  |
| inline

## ◆ operator!=()

bool VST3::operator!= | ( | const UID & | uid1,
|  | const UID & | uid2
| ) |  |
| inline

## ◆ operator<()

bool VST3::operator< | ( | const UID & | uid1,
|  | const UID & | uid2
| ) |  |
| inline

## ◆ tryVst2StateLoad()

Optional< Vst2xState > tryVst2StateLoad | ( | Steinberg::IBStream & | stream,
|  | Optional< int32_t > | vst2xUniqueID = `{}`
| ) |  |
| noexcept

Try loading the state from an old vst2 fxb format stream.

If successfully loaded, the state has either a chunk or programs but not both The Vst2xState::isBypassed boolean will be set if a Steinberg host has written the state into a project and the plug-in was bypassed.

Parameters

  stream | the input stream
  vst2xUniqueID | vst2 unique id expected to be stored in the stream [optional]. If present the fxb unique id header entry must be the same as this otherwise the return value is empty.

Returns
  on success the optional has a Vst2xState object with the data

## ◆ writeVst2State()

bool writeVst2State | ( | const Vst2xState & | state,
|  | Steinberg::IBStream & | stream,
|  | bool | writeBypassState = `true`
| ) |  |
| noexcept

Write a vst2 fxb stream.

Writes the state into stream as a vst2 fxb format

Parameters

  state | the state which should be written
  stream | the stream where the state should be written into
  writeBypassState | write extra chunk with bypass state

Returns
  true on success

## ◆ tryVst2ProgramLoad()

Optional< Vst2xProgram > tryVst2ProgramLoad | ( | Steinberg::IBStream & | stream,
|  | Optional< int32_t > | vst2xUniqueID
| ) |  |
| noexcept

Try loading the state from on old vst2 fxp format stream.

If successfully loaded, the program has either a chunk or plain values but not both

Parameters

  stream | the input stream
  vst2xUniqueID | vst2 unique id expected to be stored in the stream

Returns
  on success the optional has a Vst2xProgram object with the data

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.